# tabby

rust  AI 编程助手，自动代码提示，对标github copilot

![](https://tabby.tabbyml.com/img/demo.gif)

网站：
https://tabby.tabbyml.com/docs/extensions/vscode

源码：
https://github.com/TabbyML/tabby

## Usage

docker 启动服务器

```
docker run -it \
  --gpus all -p 8080:8080 -v $HOME/.tabby:/data \
  tabbyml/tabby \
  serve --model TabbyML/SantaCoder-1B --device cuda
```

IDE 安装扩展：

扩展在 https://github.com/TabbyML/tabby/tree/main/clients/ 目录中。



## Develop

```
git clone --recurse-submodules https://github.com/TabbyML/tabby
cd tabby


# 安装依赖
# For MacOS
brew install protobuf

# For Ubuntu / Debian
apt-get install protobuf-compiler libopenblas-dev


# 构建
cargo build .
```